function handleInstalled(details) {
  browser.storage.local.set({"p2pGateway":"192.168.1.40", "p2pNinjaDNS": "p2p.Ninja/DNS"});
}

browser.runtime.onInstalled.addListener(handleInstalled);


var pattern1 = "*://*.p2p/*";
var pattern2 = "*://*.p2pninja/*";


var p2pGateway = "192.168.1.40"
var p2pNinjaDNS = "p2p.Ninja/DNS"




function splitOnce(input, splitBy) {
    var fullSplit = input.split(splitBy);
    var retVal = [];
    retVal.push( fullSplit.shift() );
    retVal.push( fullSplit.join( splitBy ) );
    return retVal;
}


function redirect(requestDetails) {
  console.log("p2p.Ninja Redirecting: " + requestDetails.url);
  [httpdomain, resource] = splitOnce(requestDetails.url, ".p2p/")
  //console.log("splitonce"+ splitOnce(requestDetails.url, ".p2p/"))
  //console.log(httpdomain+",,,,," +resource)

  httpsubdomaindomain = requestDetails.url.split(".p2p/")[0];
  //console.log("httpsubdomaindomain  " + httpsubdomaindomain);

  //console.log("httpsubdomaindomain.split(/)follows")
  //console.log(httpsubdomaindomain.split("/"))

  domainsubdomain = httpsubdomaindomain.split("/")[httpsubdomaindomain.split("/").length -1];
 // console.log("domainsubdomain="+domainsubdomain)
  browser.storage.local.get(['p2pGateway'], function(result) {
          p2pGateway = result.p2pGateway});
  if (p2pGateway == null){console.log("p2pgateway is null");
  p2pGateway = "192.168.1.40"}
  console.log("final url next line")
  console.log("http://" + p2pGateway + "/" + domainsubdomain + "/" + resource)
  return {
    redirectUrl: "http://" + p2pGateway + "/" + domainsubdomain + "/" + resource
  };
}








function redirect2(requestDetails) {
  console.log("p2p.Ninja Redirecting: " + requestDetails.url);
  [httpsubdomaindomain, resource] = splitOnce(requestDetails.url, ".p2pninja/")
  //console.log("splitonce"+ splitOnce(requestDetails.url, ".p2pninja/"))
  //console.log(httpsubdomaindomain+",,,,," +resource)

  
  //console.log("httpsubdomaindomain  " + httpsubdomaindomain);

  //console.log("httpsubdomaindomain.split(/)follows")
  //console.log(httpsubdomaindomain.split("/"))

  domainsubdomain = httpsubdomaindomain.split("/")[httpsubdomaindomain.split("/").length -1];
  //console.log("domainsubdomain="+domainsubdomain)
  browser.storage.local.get(['p2pGateway'], function(result) {
          p2pGateway = result.p2pGateway});
  browser.storage.local.get(['p2pNinjaDNS'], function(result) {
          p2pNinjaDNS = result.p2pNinjaDNS});
  if (p2pNinjaDNS == null){p2pNinjaDNS = "p2p.Ninja/DNS"}
  //console.log("final url next line")
  //console.log("http://" + p2pGateway + "/" + p2pNinjaDNS + "/" + domainsubdomain + "/" + resource)
  return {
    redirectUrl: "http://" + p2pNinjaDNS + "/" + domainsubdomain + "/" + resource
  };
}

browser.webRequest.onBeforeRequest.addListener(
  redirect2,
  {urls:[pattern2]},
  ["blocking"]
);

browser.webRequest.onBeforeRequest.addListener(
  redirect,
  {urls:[pattern1]},
  ["blocking"]
);


function toolbarbuttonclicked() {
  
  browser.tabs.create({
    url: "landingpage.html"
  });
}

browser.browserAction.onClicked.addListener(toolbarbuttonclicked)



